---
title: "Get organization settings"
url: "https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org_id-settings"
type: "endpoint"
section: "organization"
slug: "organization/operations/get-v2-organizations-org_id-settings"
method: "GET"
path: "/v2/organizations/{org_id}/settings"
operation_id: "get-v2-organizations-org_id-settings"
authorization: "bearer"
---

# Get organization settings

`GET /v2/organizations/{org_id}/settings`

This endpoint allows admins to retrieve settings for the specified organization.

Learn more about [organization settings](/docs/organizations#organization-settings).

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the requested organization. |

## Responses

### 200

Returns the list of organization settings for admins and moderators with free trial, professional, or enterprise subscriptions.

**Example** (`Example 1`)

```json
{
  "data": [
    {
      "value": null,
      "created": null,
      "setting": "no_document_attachment",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "no_document_file_attachments",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "mobileweb_option",
      "updated": null,
      "default_value": "app_or_mobileweb_choice"
    },
    {
      "value": null,
      "created": null,
      "setting": "require_drawn_signatures",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "org_allowed_team_admins",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "digitally_sign_dowloaded_docs",
      "updated": null,
      "default_value": "no"
    },
    {
      "value": null,
      "created": null,
      "setting": "pending_invite_document_view_notification",
      "updated": null,
      "default_value": "no"
    },
    {
      "value": null,
      "created": null,
      "setting": "cloud_export_with_history",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "emailed_docs_include_history",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": "0",
      "created": 1736061495,
      "setting": "require_email_subject",
      "updated": 1736061497,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "document_completion_retention_days",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "require_login_for_signing",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "logout_on_signing",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "audit_trail_completion_retention_days",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "front_end_session_length",
      "updated": null,
      "default_value": "0"
    }
  ],
  "meta": {
    "pagination": {
      "count": 15,
      "links": {
        "next": "https://api.signnow.com/v2/organizations/5d07bfbb31bb486bb636fb992cd6d05ca677be54/settings?page=2"
      },
      "total": 42,
      "per_page": 15,
      "total_pages": 3,
      "current_page": 1
    }
  }
}
```

**Example** (`Successful request`)

```json
{
  "data": [
    {
      "value": null,
      "created": null,
      "setting": "no_document_attachment",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "no_document_file_attachments",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "mobileweb_option",
      "updated": null,
      "default_value": "app_or_mobileweb_choice"
    },
    {
      "value": null,
      "created": null,
      "setting": "require_drawn_signatures",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "org_allowed_team_admins",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": "no",
      "created": 1741698515,
      "setting": "digitally_sign_dowloaded_docs",
      "updated": 1764327181,
      "default_value": "no"
    },
    {
      "value": "https://app.signnow.com/webapp/",
      "created": 1751549739,
      "setting": "invite_completion_redirect_url",
      "updated": 1751549739,
      "default_value": ""
    },
    {
      "value": "https://app.signnow.com/webapp/",
      "created": 1751549740,
      "setting": "invite_decline_redirect_url",
      "updated": 1751549740,
      "default_value": ""
    },
    {
      "value": null,
      "created": null,
      "setting": "pending_invite_document_view_notification",
      "updated": null,
      "default_value": "no"
    },
    {
      "value": null,
      "created": null,
      "setting": "cloud_export_with_history",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "emailed_docs_include_history",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": "0",
      "created": 1741699278,
      "setting": "require_email_subject",
      "updated": 1764327170,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "document_completion_retention_days",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "require_login_for_signing",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "logout_on_signing",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "audit_trail_completion_retention_days",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "front_end_session_length",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "email_admin_on_banned_login",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "add_signature_stamp_with_name",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "cfr_title_21_part_11",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "unsuccessful_logout_attempts_allowed",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": "0",
      "created": 1750259982,
      "setting": "require_authentication_for_invites",
      "updated": 1750336980,
      "default_value": "0"
    },
    {
      "value": "no",
      "created": 1741698577,
      "setting": "electronic_consent_required",
      "updated": 1750424245,
      "default_value": "no"
    },
    {
      "value": "",
      "created": 1741698577,
      "setting": "electronic_consent_text",
      "updated": 1741699313,
      "default_value": ""
    },
    {
      "value": null,
      "created": null,
      "setting": "document_guide",
      "updated": null,
      "default_value": "1"
    },
    {
      "value": null,
      "created": null,
      "setting": "watermark_downloaded_document",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "sso-only-login",
      "updated": null,
      "default_value": "off"
    },
    {
      "value": null,
      "created": null,
      "setting": "block_login_via_social_networks",
      "updated": null,
      "default_value": "no"
    },
    {
      "value": null,
      "created": null,
      "setting": "hide_decline_to_sign_option_in_signing_session",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "guide_signers_only_through_required_fields",
      "updated": null,
      "default_value": "1"
    },
    {
      "value": null,
      "created": null,
      "setting": "invite_expiration_days",
      "updated": null,
      "default_value": "30"
    },
    {
      "value": null,
      "created": null,
      "setting": "save_signer_signature_and_initials",
      "updated": null,
      "default_value": "1"
    },
    {
      "value": null,
      "created": null,
      "setting": "auto_apply_signatures_and_initials_to_document_fields",
      "updated": null,
      "default_value": "1"
    },
    {
      "value": null,
      "created": null,
      "setting": "block_organization_selfleave_by_member",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "agreement_to_test_new_functionality_in_organization",
      "updated": null,
      "default_value": "1"
    },
    {
      "value": null,
      "created": null,
      "setting": "default_field_invite_remind_before",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "default_field_invite_remind_after",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "default_field_invite_remind_repeat",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "email_logo_position",
      "updated": null,
      "default_value": "left"
    },
    {
      "value": null,
      "created": null,
      "setting": "email_btn_bkgd_color",
      "updated": null,
      "default_value": "#0777CF"
    },
    {
      "value": null,
      "created": null,
      "setting": "email_btn_text_color",
      "updated": null,
      "default_value": "#FFFFFF"
    },
    {
      "value": null,
      "created": null,
      "setting": "every_signature_and_initials_field_requires_user_authentication",
      "updated": null,
      "default_value": "off"
    },
    {
      "value": null,
      "created": null,
      "setting": "disable_email_recipients",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "email_footer_enabled",
      "updated": null,
      "default_value": "1"
    },
    {
      "value": null,
      "created": null,
      "setting": "allow_qes",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "enable_qes",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": "https://www.signnow.com/",
      "created": 1751469130,
      "setting": "invite_canceled_redirect_url",
      "updated": 1751469130,
      "default_value": ""
    },
    {
      "value": null,
      "created": null,
      "setting": "allow_cfr_control",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": "https://app.signnow.com/webapp/",
      "created": 1751549746,
      "setting": "save_draft_redirect_url",
      "updated": 1751549746,
      "default_value": ""
    },
    {
      "value": null,
      "created": null,
      "setting": "allow_senders_edit_save_draft_redirect_url",
      "updated": null,
      "default_value": "1"
    },
    {
      "value": null,
      "created": null,
      "setting": "allow_senders_edit_invite_completion_redirect_url",
      "updated": null,
      "default_value": "1"
    },
    {
      "value": "1",
      "created": 1751548687,
      "setting": "allow_senders_edit_invite_decline_redirect_url",
      "updated": 1751629748,
      "default_value": "1"
    },
    {
      "value": "0",
      "created": 1769170532,
      "setting": "restrict_payments_collection",
      "updated": 1769170543,
      "default_value": "0"
    },
    {
      "value": "0",
      "created": 1760440081,
      "setting": "disable_branding_setup",
      "updated": 1769170390,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "generate_signers_signatures_when_filling_signature_fields",
      "updated": null,
      "default_value": "1"
    },
    {
      "value": null,
      "created": null,
      "setting": "disable_ai_chat",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "allow_member_invite_requests",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "allow_senders_edit_invite_expiration",
      "updated": null,
      "default_value": "1"
    },
    {
      "value": null,
      "created": null,
      "setting": "allow_senders_edit_invite_reminders",
      "updated": null,
      "default_value": "1"
    }
  ],
  "meta": {
    "pagination": {
      "count": 59,
      "links": [],
      "total": 59,
      "per_page": 59,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

### 400

The access token is incorrect.

**Example** (`Example 1`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Access token incorrect`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

The user is not the organization admin.

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 12003003,
      "message": "Access denied for current administration role in your organization."
    }
  ]
}
```

**Example** (`User is not admin`)

```json
{
  "errors": [
    {
      "code": 12003003,
      "message": "Access denied for current administration role in your organization."
    }
  ]
}
```

### 404

Organization was not found.

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 12003001,
      "message": "Organization `4e9cdccb8e764fbe86a664cc9e24502d3dbYYYYY` is not found."
    }
  ]
}
```

**Example** (`Organization not found`)

```json
{
  "errors": [
    {
      "code": 12003001,
      "message": "Organization `4e9cdccb8e764fbe86a664cc9e24502d3dbYYYYY` is not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/organizations/{org_id}/settings" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org_id-settings*
